import { MessageBuilderOptions, Message, MessageBuilding, RawUserData, RequestParams, Tag, CustomData } from "./types";
declare type UserMessageData = RawUserData | string | undefined;
export declare class RaygunMessageBuilder {
    _filters: string[];
    options: MessageBuilderOptions;
    message: MessageBuilding;
    constructor(options?: MessageBuilderOptions);
    build(): Message;
    setErrorDetails(error: any): this;
    setEnvironmentDetails(): this;
    setMachineName(machineName?: string): this;
    setUserCustomData(customData?: CustomData): this;
    setTags(tags: Tag[]): this;
    setRequestDetails(request: RequestParams | undefined): this;
    setUser(user: (() => UserMessageData) | UserMessageData): this;
    setVersion(version: string): this;
    private extractUserProperties;
}
export {};
